package algorithmrepository.differentialgeometry;

public class CartesianGeometry extends GeometryImpl {
    
    private static double[][] metric = new double[][] { 
        {1, 0, 0},
        {0, 1, 0}, 
        {0, 0, 1} };
    
    public CartesianGeometry() {        
    }

    
    @Override
    public double metricCoefficient(double[] atCoords, int i, int j, int coOrContra) {
          return metric[i][j];
    }
   
    @Override
    public double[] toCartesianCoords(double[] coords) {
        return coords.clone();
    }

    @Override
    public double[] fromCartesianCoords(double[] coordsXYZ) {
        return coordsXYZ.clone();
    }


    @Override
    public int dim() {
        return 3;
    }

 
}
